#
# spec file for package jline
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jline
Version:        0.9.94
Release:        lp151.3.1
Summary:        Java library for reading and editing user input in console applications
License:        BSD-3-Clause
Group:          Development/Libraries/Java
Url:            http://jline.sourceforge.net/
Source0:        http://download.sourceforge.net/sourceforge/jline/jline-0.9.94.zip
Source1:        CatalogManager.properties
Source2:        jline-build.xml
Source3:        jline-0.9.94.pom
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  javapackages-tools
BuildRequires:  unzip
BuildRequires:  xml-commons-resolver
#!BuildIgnore:  antlr
#!BuildIgnore:  antlr-java
BuildArch:      noarch

%description
JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.

%package        demo
Summary:        Java library for reading and editing user input in console applications
Group:          Development/Libraries/Java

%description    demo
JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, customizable keybindings, and pass-through handlers to use to
chain to other console applications.

%prep
# BEWARE: The jar file META-INF is not under the subdir
%setup -q -c
cp -pr %{name}-%{version}/* .
rm -r %{name}-%{version}
find -type f -name '*.jar' | xargs -t rm
# Use locally installed DTDs
mkdir -p build
cp -p %{SOURCE1} build/CatalogManager.properties
cp -p %{SOURCE2} src/build.xml
perl -p -i -e 's|^.*<attribute name="Class-Path".*||' build.xml

%build
mkdir -p native
# Use locally installed DTDs
export CLASSPATH=`pwd`/build
cd src/
export CLASSPATH=`pwd`/target/classes:`pwd`/target/test-classes
export OPT_JAR_LIST=:
ant -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 jar

%install
# jars
install -d -m 755 %{buildroot}%{_javadir}
install -p -m 644 src/target/jline.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%changelog
* Wed Sep 27 2017 fstrba@suse.com
- Don't require java-1_5_0-gcj-compat, but build with any
  java-devel provider
- Specify java source and target level 1.6: fixes build with
  jdk9
* Fri Jun  9 2017 tchvatal@suse.com
- Reduce depgraph and drop maven fragment to allow bootstrap
* Fri May 19 2017 mpluskal@suse.com
- Update dependencies
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Mon Aug 26 2013 mvyskocil@suse.com
- use new add_maven_depmap from javapackages-utils
* Thu Apr 25 2013 mvyskocil@suse.com
- add findutils dependency (bnc#816314)
* Thu Sep  2 2010 mvyskocil@suse.cz
- ignore antlr(-java) to reduce build cycles
* Wed Nov 18 2009 mvyskocil@suse.cz
- Build using gcj - needed by rhino 1.7R2 - bnc#554532
* Thu May  7 2009 mvyskocil@suse.cz
- Initial SUSE packaging 0.9.94 from jpp 5.0
